# Dataviz-lib

A React library with data visualisation components

## Build
To create a build of the library for use in React projects: 
```
yarn build
```
Remember to do this after making changes to the lib.

## Import
To import lib into your React project, add this to your package.json:
```
"dataviz-lib": "git+ssh://git@bitbucket.alexandra.dk:7999/wl/dataviz-lib.git#[tag]"
```

## Component example code
MultiAreaChart
```
<MultiAreaChart 
  legend={{
    show: true
  }}
  tooltip={{
    trigger: "click"
  }}
  data={{
    xAxis: {
      values: ["j","f","m","a","m","j"],
    },
    areas: [
      {
        label: "Sol",
        key: "sun",
        stackIndex: 1,
        stroke: "#5F9EA0",
        fill: "#5F9EA0",
        opacity: 0.5,
        values: [100,200,100,300,400,500],
      },
      {
        label: "Landvind",
        key: "wind_land",
        stackIndex: 1,
        stroke: "red",
        fill: "#6699CC",
        opacity: 0.5,
        values: [120,140,400,320,410,300],
      },
    ],
    lines: [
      {
        label: "Forbrug",
        key: "consumption",
        stroke: "black",
        width: 2,
        opacity: 0.8,
        values: [100,70,50,240,190,420],
      },
    ]
  }} 
/>
```