import { NameType, ValueType } from "recharts/types/component/DefaultTooltipContent";
import { ContentType } from "recharts/types/component/Tooltip";
export interface MultiAreaChartLegend {
    show: boolean;
}
export interface MultiAreaChartXAxis {
    values: string[];
}
export interface MultiAreaChartArea {
    label: string;
    key: string;
    stackIndex: number;
    stroke: string;
    fill: string;
    opacity: number;
    values: number[];
}
export interface MultiAreaChartLine {
    label: string;
    key: string;
    stroke: string;
    width: number;
    opacity: number;
    values: number[];
}
export interface MultiAreaChartData {
    xAxis: MultiAreaChartXAxis;
    areas: MultiAreaChartArea[];
    lines: MultiAreaChartLine[];
}
export interface MultiAreaChartTooltip {
    trigger: "click" | "hover";
    customTooltip?: ContentType<ValueType, NameType>;
}
export interface MultiAreaChartProps {
    data: MultiAreaChartData;
    legend: MultiAreaChartLegend;
    tooltip?: MultiAreaChartTooltip;
}
