/// <reference types="react" />
import { ValueType, NameType } from 'recharts/types/component/DefaultTooltipContent';
import { ContentType } from 'recharts/types/component/Tooltip';

interface ButtonProps {
    text: string;
}

declare const Button: ({ text }: ButtonProps) => JSX.Element;

interface MultiAreaChartLegend {
    show: boolean;
}
interface MultiAreaChartXAxis {
    values: string[];
}
interface MultiAreaChartArea {
    label: string;
    key: string;
    stackIndex: number;
    stroke: string;
    fill: string;
    opacity: number;
    values: number[];
}
interface MultiAreaChartLine {
    label: string;
    key: string;
    stroke: string;
    width: number;
    opacity: number;
    values: number[];
}
interface MultiAreaChartData {
    xAxis: MultiAreaChartXAxis;
    areas: MultiAreaChartArea[];
    lines: MultiAreaChartLine[];
}
interface MultiAreaChartTooltip {
    trigger: "click" | "hover";
    customTooltip?: ContentType<ValueType, NameType>;
}
interface MultiAreaChartProps {
    data: MultiAreaChartData;
    legend: MultiAreaChartLegend;
    tooltip?: MultiAreaChartTooltip;
}

declare const MultiAreaChart: ({ data, legend, tooltip }: MultiAreaChartProps) => JSX.Element;

export { Button, MultiAreaChart };
