import React from 'react'
import { ComponentStory, ComponentMeta } from '@storybook/react'

import { default as MultiAreaChart } from '../../components/MultiAreaChart'

export default {
  title: 'Charts/MultiAreaChart',
  component: MultiAreaChart,
} as ComponentMeta<typeof MultiAreaChart>

const Template: ComponentStory<typeof MultiAreaChart> = (args) => 
  <div style={{ width: '100%', height: '600px' }}><MultiAreaChart {...args} /></div>

export const Primary = Template.bind({});
Primary.args = {
  legend: {
    show: true
  },
  data:{
    xAxis: {
      values: ["j","f","m","a","m","j"],
    },
    areas: [
      {
        label: "Sol",
        key: "sun",
        stackIndex: 1,
        stroke: "#5F9EA0",
        fill: "#5F9EA0",
        opacity: 0.5,
        values: [100,200,100,300,400,500],
      },
      {
        label: "Landvind",
        key: "wind_land",
        stackIndex: 1,
        stroke: "red",
        fill: "#6699CC",
        opacity: 0.5,
        values: [120,140,400,320,410,300],
      },
    ],
    lines: [
      {
        label: "Forbrug",
        key: "consumption",
        stroke: "black",
        width: 2,
        opacity: 0.8,
        values: [100,70,50,240,190,420],
      },
    ]
  }, 
}
